EvIo::__construct
EvIo::set
EvIo
PHP Manual

# EvIo::createStopped

Create stopped EvIo watcher object

### Description

final public static EvIo EvIo::createStopped ( mixed `$fd` , int `$events` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

The same as EvIo::__construct , but doesn't start the watcher automatically.

### Parameters

`fd`

  The same as for EvIo::__construct

`events`

  The same as for EvIo::__construct

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvIo object on success.

### See Also

- EvIo::__construct
- EvLoop::io